package auth

import (
	"gitea.com/macaron/binding"
	"gitea.com/macaron/macaron"
)

type CreateCloudBrainForm struct {
	JobName              string `form:"job_name" binding:"Required"`
	DisplayJobName       string `form:"display_job_name" binding:"Required"`
	Image                string `form:"image" binding:"Required"`
	Command              string `form:"command" binding:"Required"`
	Attachment           string `form:"attachment" binding:"Required"`
	JobType              string `form:"job_type" binding:"Required"`
	BenchmarkCategory    string `form:"get_benchmark_category"`
	GpuType              string `form:"gpu_type"`
	TrainUrl             string `form:"train_url"`
	TestUrl              string `form:"test_url"`
	Description          string `form:"description"`
	ResourceSpecId       int    `form:"resource_spec_id" binding:"Required"`
	BenchmarkTypeID      int    `form:"benchmark_types_id"`
	BenchmarkChildTypeID int    `form:"benchmark_child_types_id"`
}

type CommitImageCloudBrainForm struct {
	Description string `form:"description" binding:"Required"`
	Type        int    `form:"type"  binding:"Required"`
	Tag         string `form:"tag" binding:"Required;MaxSize(100)" `
	IsPrivate   bool   `form:"isPrivate" binding:"Required"`
	Topics      string `form:"topics"`
}

type EditImageCloudBrainForm struct {
	ID          int64  `form:"id" binding:"Required"`
	Description string `form:"description" binding:"Required"`
	IsPrivate   bool   `form:"isPrivate" binding:"Required"`
	Topics      string `form:"topics"`
}

func (f *CreateCloudBrainForm) Validate(ctx *macaron.Context, errs binding.Errors) binding.Errors {
	return validate(errs, ctx.Data, f, ctx.Locale)
}

func (f *CommitImageCloudBrainForm) Validate(ctx *macaron.Context, errs binding.Errors) binding.Errors {
	return validate(errs, ctx.Data, f, ctx.Locale)
}

func (f *EditImageCloudBrainForm) Validate(ctx *macaron.Context, errs binding.Errors) binding.Errors {
	return validate(errs, ctx.Data, f, ctx.Locale)
}
